OpenZWave::FileOps Class Reference

Implements platform-independent File Operations. More...

`#include <FileOps.h>`

## Static Public Member Functions

static FileOps * | Create ()
static void | Destroy ()
static bool | FolderExists (const string &_folderName)

## Detailed Description

Implements platform-independent File Operations.

## Member Function Documentation

## Create()

FileOps * FileOps::Create | ( |  | ) |

static

Create a FileOps cross-platform singleton.

Returns
  a pointer to the file operations object.

See also
  Destroy.

## Destroy()

void FileOps::Destroy | ( |  | ) |

static

Destroys the FileOps singleton.

See also
  Create.

## FolderExists()

bool FileOps::FolderExists | ( | const string & | _folderName | ) |

static

FolderExists. Check for the existance of a folder.

Parameters

  string. | Folder name.

Returns
  Bool value indicating existance.

The documentation for this class was generated from the following files:

- FileOps.h
- FileOps.cpp